<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:06 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>UserProcess</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UserProcess";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UserProcess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/UserClass.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/UserProcess.html" target="_top">Frames</a></li>
<li><a href="UserProcess.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Negocio</div>
<h2 title="Class UserProcess" class="title">Class UserProcess</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Negocio.UserProcess</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">UserProcess</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#UserProcess--">UserProcess</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#actualizarUsuario-Negocio.UserClass-">actualizarUsuario</a></span>(<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;user)</code>
<div class="block">Actualizar usuario<br>
 Metodo para actualizar los datos de un usuario concreto</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#addUsuario-Negocio.UserClass-">addUsuario</a></span>(<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;usuario)</code>
<div class="block">Añadir un nuevo usuario<br>
 Metodo para añadir un nuevo usuario donde se pasaran los parametros
 descritos en los atributos, para que pueda realizar la accion</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#confirmacionDeAccion--">confirmacionDeAccion</a></span>()</code>
<div class="block">Confirmacion de accion <br></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#deleteUsuario-java.lang.String-">deleteUsuario</a></span>(java.lang.String&nbsp;numCarnet)</code>
<div class="block">Eliminacion de un usuario<br>
 Metodo para eliminar a un usuario.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#getUser-java.lang.String-">getUser</a></span>(java.lang.String&nbsp;nCarnet)</code>
<div class="block">Obtencion de un usuario en concreto<br>

 Metodo para recuperar un objeto de la clase UserClass, este objeto estara
 servido desde DAO, desde la clase ClaseBBDD</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#isEmailExist-java.lang.String-">isEmailExist</a></span>(java.lang.String&nbsp;email)</code>
<div class="block">Comprobacion de la existencia de un email.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#isNumCarnetExist-java.lang.String-">isNumCarnetExist</a></span>(java.lang.String&nbsp;numCarnet)</code>
<div class="block">Comprobacion de la existencia de un numero de carnet.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#recoverObjUser-java.lang.String-">recoverObjUser</a></span>(java.lang.String&nbsp;numCarnet)</code>
<div class="block">Obtener un usuario<br>
 Metodo que devolvera en un objeto de la clase "UserClass", en el cual
 estaran los datos individuales de un usuario en concreto.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#responseDialogsUserAdd-java.lang.String-java.lang.String-">responseDialogsUserAdd</a></span>(java.lang.String&nbsp;carnet,
                      java.lang.String&nbsp;email)</code>
<div class="block">Comprobar si existen actualmente un numero de carnet o una direccion
 email<br>
 Metodo para controlar la duplicidad de los datos que no pueden estar
 duplicados</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Negocio/UserProcess.html#responseDialogsUserDeleted-int-">responseDialogsUserDeleted</a></span>(int&nbsp;RESPUESTA)</code>
<div class="block">Respuestas ' tipo ' de dialogo para la accion de eliminacion de un
 usuario<br>

 Metodo que ejecutara las acciones suficientes para mostrar por panatalla
 los mensajes de los errores o acciones correspondientes.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="UserProcess--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UserProcess</h4>
<pre>public&nbsp;UserProcess()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addUsuario-Negocio.UserClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addUsuario</h4>
<pre>public&nbsp;void&nbsp;addUsuario(<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;usuario)
                throws java.sql.SQLException</pre>
<div class="block">Añadir un nuevo usuario<br>
 Metodo para añadir un nuevo usuario donde se pasaran los parametros
 descritos en los atributos, para que pueda realizar la accion</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>usuario</code> - objeto de la clase UserClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="actualizarUsuario-Negocio.UserClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actualizarUsuario</h4>
<pre>public&nbsp;void&nbsp;actualizarUsuario(<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;user)
                       throws java.sql.SQLException</pre>
<div class="block">Actualizar usuario<br>
 Metodo para actualizar los datos de un usuario concreto</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - Objeto de la clase UserClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="deleteUsuario-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteUsuario</h4>
<pre>public&nbsp;void&nbsp;deleteUsuario(java.lang.String&nbsp;numCarnet)</pre>
<div class="block">Eliminacion de un usuario<br>
 Metodo para eliminar a un usuario. Necesita el numero de carnet
 "numCarnet" como parametro. En el caso de que la eliminacion sea correcta
 o no, devolvera:<br>
 final int EXIST_USER=1 = "El numero de carnet existe y ha sido
 elimando"<br>
 final int NOT_EXIST_USER=0 = "El numero de carnet no existe y no ha sido
 posible elimarlo"</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numCarnet</code> - numero de carnet de la biblioteca del usuario</dd>
</dl>
</li>
</ul>
<a name="confirmacionDeAccion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>confirmacionDeAccion</h4>
<pre>public&nbsp;boolean&nbsp;confirmacionDeAccion()</pre>
<div class="block">Confirmacion de accion <br></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>booleano</dd>
</dl>
</li>
</ul>
<a name="responseDialogsUserAdd-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>responseDialogsUserAdd</h4>
<pre>public&nbsp;void&nbsp;responseDialogsUserAdd(java.lang.String&nbsp;carnet,
                                   java.lang.String&nbsp;email)
                            throws java.sql.SQLException</pre>
<div class="block">Comprobar si existen actualmente un numero de carnet o una direccion
 email<br>
 Metodo para controlar la duplicidad de los datos que no pueden estar
 duplicados</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>carnet</code> - parametro correspondiente al numero de carnet de un usuario</dd>
<dd><code>email</code> - parametro correspondiente al email de un usuario</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="responseDialogsUserDeleted-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>responseDialogsUserDeleted</h4>
<pre>public&nbsp;void&nbsp;responseDialogsUserDeleted(int&nbsp;RESPUESTA)</pre>
<div class="block">Respuestas ' tipo ' de dialogo para la accion de eliminacion de un
 usuario<br>

 Metodo que ejecutara las acciones suficientes para mostrar por panatalla
 los mensajes de los errores o acciones correspondientes. NUM_CARNET_EXIST
 = 0;//el numero de carnet solicitado ya existe en la BBDD<br>
 EMAIL_EXIST = 1;//el email solicitado ya existe en la BBDD<br>
 DATA_EXIST = 2;//ambos datos solicitados ya existen en la BBDD<br>
 NO_EXIST_DATA = 3;//no existe ningun dato como los solicitados en la BBDD
 <br>
 EXIST_USER=4;// Existencia positiva de un usuario concreto<br>
 NOT_EXIST_USER=5;// Existencia NO positiva de un usuario concreto   <br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>RESPUESTA</code> - integer (Constantes)</dd>
</dl>
</li>
</ul>
<a name="recoverObjUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recoverObjUser</h4>
<pre>public&nbsp;<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;recoverObjUser(java.lang.String&nbsp;numCarnet)
                         throws java.sql.SQLException</pre>
<div class="block">Obtener un usuario<br>
 Metodo que devolvera en un objeto de la clase "UserClass", en el cual
 estaran los datos individuales de un usuario en concreto.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numCarnet</code> - parametro correspondiente al numero de carnet de un
 usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna un objeto de la clase UserClass que contendra los datos
 pertenecientes a este</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="getUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUser</h4>
<pre>public&nbsp;<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a>&nbsp;getUser(java.lang.String&nbsp;nCarnet)
                  throws java.sql.SQLException</pre>
<div class="block">Obtencion de un usuario en concreto<br>

 Metodo para recuperar un objeto de la clase UserClass, este objeto estara
 servido desde DAO, desde la clase ClaseBBDD</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nCarnet</code> - parametro correspondiente al numero de carnet de un
 usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna un objeto de la clase UserClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isNumCarnetExist-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNumCarnetExist</h4>
<pre>public&nbsp;boolean&nbsp;isNumCarnetExist(java.lang.String&nbsp;numCarnet)
                         throws java.sql.SQLException</pre>
<div class="block">Comprobacion de la existencia de un numero de carnet.<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numCarnet</code> - String numero de carnet de usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
<a name="isEmailExist-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isEmailExist</h4>
<pre>public&nbsp;boolean&nbsp;isEmailExist(java.lang.String&nbsp;email)
                     throws java.sql.SQLException</pre>
<div class="block">Comprobacion de la existencia de un email.<br></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>email</code> - String direccion de email de usuario</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion de tipo SQL</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UserProcess.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Negocio/UserClass.html" title="class in Negocio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?Negocio/UserProcess.html" target="_top">Frames</a></li>
<li><a href="UserProcess.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
